0

I tried to install Klarna in my Magento 2.3.2 website using composer trollweb. I kept getting errors as the klarna checkout was not working.

In the end, I used mage2pro klarna to set it up

Is there any way I can install klarna on my Magento 2.3.2 site ?

1
  • Can you provide more details on the errors? Oct 27 '19 at 22:37
0

Maybe this is your idea, You should use command for install klarna payment for magento 2:


php bin/magento maintenance:enable
php bin/magento cache:flush
php bin/magento cache:disable
composer require klarna/m2-payments // support M 2.2.x
or
composer require klarna/m2-checkout // support M 2.3.x
php bin/magento setup:upgrade
php bin/magento setup:di:compile
php bin/magento setup:static-content:deploy [languages] (eg: en_US de_AT de_DE fi_FI sv_SE)
php bin/magento cache:enable
php bin/magento maintenance:disable

Go to admin page enable klarna payment

3
  • did that but get : [InvalidArgumentException] Could not find a matching version of package klarna/m2-payments. Check the package spelling, your version constraint and that the package is available in a stability which matches your minimum-stability (stable). Also note that i am using magento 2.3.2 and klarna payments only work for magento 2.2 Oct 30 '19 at 22:00
  • You can install klanra checkout composer require klarna/m2-checkout Docs: marketplace.magento.com/klarna-m2-checkout.html
    – Jundat95
    Nov 1 '19 at 4:07
  • doesnt work out... it keeps giving me that error in my last chat Nov 3 '19 at 12:27

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.